List integrations
curl --request GET \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"projectId": "project-456",
"name": "read-accounts",
"provider": "salesforce",
"createTime": "2023-11-07T05:31:56Z",
"latestRevision": {
"id": "revision-id-1",
"specVersion": "1.0.0",
"createTime": "2023-11-07T05:31:56Z",
"content": {
"name": "<string>",
"provider": "<string>",
"displayName": "<string>",
"module": "<string>",
"read": {
"objects": [
{
"objectName": "<string>",
"destination": "<string>",
"schedule": "<string>",
"mapToName": "people",
"mapToDisplayName": "People",
"requiredFields": [
{
"fieldName": "<string>",
"mapToName": "account_id",
"mapToDisplayName": "Account ID"
}
],
"optionalFields": [
{
"fieldName": "<string>",
"mapToName": "account_id",
"mapToDisplayName": "Account ID"
}
],
"optionalFieldsAuto": "all",
"backfill": {
"defaultPeriod": {
"days": 30,
"fullHistory": false
}
},
"delivery": {
"mode": "auto",
"pageSize": 275
},
"enabled": "always"
}
]
},
"write": {
"objects": [
{
"objectName": "<string>",
"inheritMapping": true,
"valueDefaults": {
"allowAnyFields": true
}
}
]
},
"proxy": {
"enabled": true,
"useModule": true
},
"subscribe": {
"objects": [
{
"objectName": "<string>",
"destination": "<string>",
"inheritFieldsAndMapping": true,
"createEvent": {
"enabled": "always"
},
"updateEvent": {
"enabled": "always",
"watchFieldsAuto": "all",
"requiredWatchFields": [
[
"name",
"domain"
]
]
},
"deleteEvent": {
"enabled": "always"
},
"associationChangeEvent": {
"enabled": "always",
"includeFullRecords": true
},
"otherEvents": [
[
"object.merged",
"object.restored"
]
]
}
]
},
"watchSchema": {
"destination": "fieldWatchStream",
"allObjects": {
"fieldCreated": {
"enabled": "always"
},
"fieldDeleted": {
"enabled": "always"
},
"fieldChanged": {
"enabled": "always"
}
},
"schedule": "0 */6 * * *"
}
}
},
"updateTime": "2023-11-07T05:31:56Z"
}
]{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Integration
List integrations
GET
/
projects
/
{projectIdOrName}
/
integrations
List integrations
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
Response
List of integrations
The integration ID.
The Ampersand project ID.
Example:
"project-456"
The integration name.
Example:
"read-accounts"
The SaaS provider that this integration connects to.
Example:
"salesforce"
The time the integration was created.
Show child attributes
Show child attributes
The time the integration was last updated.
Was this page helpful?
⌘I

